"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const predicate_1 = __importDefault(require("./predicate"));
const utils_1 = __importDefault(require("../utils"));
const toExist = (wrapper) => {
    const pass = predicate_1.default(wrapper);
    const { passMessage, failMessage } = utils_1.default('toExist', (value) => `Expected wrapper${value ? ` ${value}` : ''} to exist:`);
    return {
        pass,
        message: pass ? passMessage(wrapper.exists(), false) : failMessage(wrapper.exists(), true),
    };
};
exports.default = {
    toExist,
};
