"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jasmineUtils_1 = require("expect/build/jasmineUtils");
const hasPayload = (actual, expected) => actual.some(([payload]) => jasmineUtils_1.equals(payload, expected));
exports.default = (actual, event, payload) => {
    if (!event || !actual[event])
        return false;
    const eventWithPayload = actual[event];
    if (eventWithPayload && payload) {
        return hasPayload(eventWithPayload, payload);
    }
    return true;
};
