"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const toHaveEmitted_1 = __importDefault(require("./toHaveEmitted"));
const toExist_1 = __importDefault(require("./toExist"));
const toBeVisible_1 = __importDefault(require("./toBeVisible"));
const imports = {
    toHaveEmitted: toHaveEmitted_1.default,
    toExist: toExist_1.default,
    toBeVisible: toBeVisible_1.default,
};
exports.default = Object.keys(imports)
    .map((key) => imports[key])
    .reduce((acc, matcher) => (Object.assign(Object.assign({}, acc), matcher)), {});
